{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function dialog_box\r\n$insert msg_equates\r\n$insert lsl_users_equ\r\nequ CrLf$ to char(13):char(10)\r\n\r\nTechSig     = .tech_sig->text\r\nif TechSig <> '' then\r\n\tMsgInfo = ''\r\n    MsgInfo<mtext$> = 'This SC1 SPC Control entry has already been signed.'\r\n    MsgInfo<micon$> = '!'\r\n    Void = msg( '', MsgInfo )\r\nend else  \r\n    Valid = dialog_box( 'QUOTE_SIG_PWD_ENTRY', @window, @user4:@vm:xlate( 'LSL_USERS', @user4, lsl_users_password$, 'X' ) )\r\n\tif Valid then\r\n\t\t.tech_sig->text = @user4\r\n\t\t.tech_sig_name->text = oconv( @user4, '[XLATE_CONV,LSL_USERS*FIRST_LAST]' )\r\n\t\t@@window->savewarn = 1\r\n\tend\r\nend\r\nreturn 0\r\n"
        }
    }
}